﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
using HeuristicLab.Collections;
using HeuristicLab.Common;

namespace HeuristicLab.OKB.AlgorithmHost {

  [StorableClass]
  public class Mapping : IContent {

    public Mapping() {
      Map = new ObservableDictionary<string, string>();
      Values = new ObservableCollection<string>();
    }

    [StorableConstructor]
    public Mapping(bool deserializing) { }

    [Storable]
    public ObservableDictionary<string, string> Map { get; set; }

    [Storable]
    public ObservableCollection<string> Values { get; set; }
  }
}
